// Copyright (c) 1999 Quadralay Corporation.  All rights reserved.
//
// The information in this file is confidential and proprietary to
// Quadralay Corporation.  Unauthorized use or duplication is
// strictly prohibited.

hsmod[hsmod.length]="SessExtend Project";

var wwhtop = foldersTree;

var wwh695264=new Folder("Preface", "preface.htm#1053460");
wwhtop.addChild(wwh695264);

wwh695264.addChild(new Item("About This Manual", "preface.htm#1054878"));
wwh695264.addChild(new Item("Audience", "preface.htm#1055756"));
wwh695264.addChild(new Item("Other Resources", "preface.htm#1041668"));
wwh695264.addChild(new Item("Integrations Between Rational Testing Tools and Other&nbsp;Rational Products", "preface.htm#1055856"));
wwh695264.addChild(new Item("Contacting Rational Technical Publications", "preface.htm#1055379"));
wwh695264.addChild(new Item("Contacting Rational Customer Support", "preface.htm#1055382"));
var wwh695280=new Folder("Introduction to the Robot Extensibility Framework", "intro.htm#1106813");
wwhtop.addChild(wwh695280);

wwh695280.addChild(new Item("About Session Recording and Script Generation", "intro2a.htm#1104796"));
wwh695280.addChild(new Item("Overview of the Extensibility Framework", "intro3a.htm#1108614"));
var wwh695286=new Folder("Extending API Recording and Script Generation", "intro4a.htm#1108616");
wwh695280.addChild(wwh695286);

wwh695286.addChild(new Item("API Recording and Script Generation -- Standard", "intro4a.htm#1113044"));
wwh695286.addChild(new Item("API Recording and Script Generation -- Extended", "intro4a.htm#1113922"));
wwh695286.addChild(new Item("API Example", "intro4a.htm#1119244"));
wwh695280.addChild(new Item("Implementing Custom Recording and Script Generation", "intro5.htm#1119772"));
var wwh695296=new Folder("Installing Adapters", "intro6a.htm#1108617");
wwh695280.addChild(wwh695296);

wwh695296.addChild(new Item("Header Files", "intro6a.htm#1122311"));
wwh695296.addChild(new Item("Build Files", "intro6a.htm#1121870"));
wwh695280.addChild(new Item("Limitations", "intro7a.htm#1108623"));
var wwh695306=new Folder("API Adapter Reference", "ref-ara.htm#1106813");
wwhtop.addChild(wwh695306);

wwh695306.addChild(new Item("About API Adapters", "ref-ara2.htm#1104796"));
var wwh695310=new Folder("API Recorder Adapter API", "ref-ara3.htm#1094355");
wwh695306.addChild(wwh695310);

wwh695310.addChild(new Item("IsAPIRecorderAdapter()", "ref-ara3.htm#1108772"));
wwh695310.addChild(new Item("GetAPIRecAdapterInfo()", "ref-ara3.htm#1108923"));
wwh695310.addChild(new Item("GetApiAndWrapperNamePairs()", "ref-ara3.htm#1119337"));
var wwh695318=new Folder("Generator Filter Adapter API", "ref-gfa.htm#1108648");
wwh695306.addChild(wwh695318);

wwh695318.addChild(new Item("IsAPIGenFiltExtAdapter()", "ref-gfa.htm#1108811"));
wwh695318.addChild(new Item("GetScriptgenDllName()", "ref-gfa.htm#1120470"));
wwh695318.addChild(new Item("CheckAPIPacket()", "ref-gfa.htm#1136356"));
wwh695318.addChild(new Item("GetDisplayName()", "ref-gfa.htm#1148445"));
wwh695318.addChild(new Item("GetOptions()", "ref-gfa.htm#1148644"));
wwh695318.addChild(new Item("SetOptions()", "ref-gfa.htm#1148807"));
wwh695318.addChild(new Item("DisplayCustomConfigGUI()", "ref-gfa.htm#1149253"));
wwh695318.addChild(new Item("Sample API Generator Filter Adapter", "ref-gfa.htm#1146559"));
var wwh695336=new Folder("API Script Generator Adapter API", "ref-asga.htm#1108648");
wwh695306.addChild(wwh695336);

wwh695336.addChild(new Item("IsAPISgenAdapter()", "ref-asga.htm#1108811"));
wwh695336.addChild(new Item("InitializeScriptgen()", "ref-asga.htm#1131735"));
wwh695336.addChild(new Item("ProcessAPIPacket()", "ref-asga.htm#1131765"));
wwh695336.addChild(new Item("PassComplete()", "ref-asga.htm#1131810"));
wwh695336.addChild(new Item("GetStatus()", "ref-asga.htm#1131848"));
wwh695336.addChild(new Item("GetOptions()", "ref-asga.htm#1138072"));
wwh695336.addChild(new Item("SetOptions()", "ref-asga.htm#1138235"));
var wwh695356=new Folder("Custom Adapter Reference", "ref-cra.htm#1122312");
wwhtop.addChild(wwh695356);

var wwh695358=new Folder("About Custom Adapters", "ref-cra2.htm#1122042");
wwh695356.addChild(wwh695358);

wwh695358.addChild(new Item("Design Recommendation", "ref-cra2.htm#1139736"));
var wwh695362=new Folder("Custom Recorder Adapter API", "ref-cra3.htm#1108646");
wwh695356.addChild(wwh695362);

wwh695362.addChild(new Item("IsCustomRecorderAdapter()", "ref-cra3.htm#1108776"));
wwh695362.addChild(new Item("InitializeRecorder()", "ref-cra3.htm#1147534"));
wwh695362.addChild(new Item("StartRecording()", "ref-cra3.htm#1147581"));
wwh695362.addChild(new Item("StopRecording()", "ref-cra3.htm#1147650"));
wwh695362.addChild(new Item("GetDisplayName()", "ref-cra3.htm#1159728"));
wwh695362.addChild(new Item("GetOptions()", "ref-cra3.htm#1159209"));
wwh695362.addChild(new Item("SetOptions()", "ref-cra3.htm#1159372"));
wwh695362.addChild(new Item("DisplayCustomConfigGUI()", "ref-cra3.htm#1160037"));
var wwh695382=new Folder("Custom Script Generator Adapter API", "ref-sga.htm#1108649");
wwh695356.addChild(wwh695382);

wwh695382.addChild(new Item("IsCustomScriptgenAdapter()", "ref-sga.htm#1108838"));
wwh695382.addChild(new Item("InitializeScriptgen()", "ref-sga.htm#1137056"));
wwh695382.addChild(new Item("StartScriptgen()", "ref-sga.htm#1137106"));
wwh695382.addChild(new Item("CancelScriptgen()", "ref-sga.htm#1137195"));
wwh695382.addChild(new Item("GetDisplayName()", "ref-sga.htm#1148312"));
wwh695382.addChild(new Item("GetOptions()", "ref-sga.htm#1148484"));
wwh695382.addChild(new Item("SetOptions()", "ref-sga.htm#1148647"));
wwh695382.addChild(new Item("DisplayCustomConfigGUI()", "ref-sga.htm#1149058"));
var wwh695404=new Folder("Recording and Script Generation Services", "services.htm#1106813");
wwhtop.addChild(wwh695404);

wwh695404.addChild(new Item("About Recording and Script Generation Services", "service2.htm#1104796"));
var wwh695408=new Folder("Proxy Services Reference", "service3.htm#1109373");
wwh695404.addChild(wwh695408);

wwh695408.addChild(new Item("ProxyGetAssignedLibraryID()", "service3.htm#1117437"));
wwh695408.addChild(new Item("ProxyGetTicket()", "service3.htm#1117379"));
wwh695408.addChild(new Item("ProxyGetTimeStamp()", "service3.htm#1117352"));
wwh695408.addChild(new Item("ProxyLockNew()", "service3.htm#1112881"));
wwh695408.addChild(new Item("ProxyWriteBlock()", "service3.htm#1113091"));
wwh695408.addChild(new Item("ProxyUnlock()", "service3.htm#1112888"));
wwh695408.addChild(new Item("ProxyExceptionHandler()", "service3.htm#1116187"));
wwh695408.addChild(new Item("Proxy Data Types", "service3.htm#1116512"));
wwh695408.addChild(new Item("Proxy Examples", "service3.htm#1115761"));
var wwh695428=new Folder("The GetAnnotations() Service Function", "service4.htm#1112904");
wwh695404.addChild(wwh695428);

wwh695428.addChild(new Item("GetAnnotations()", "service4.htm#1117179"));
var wwh695434=new Folder("Adapter Configuration", "config.htm#1106813");
wwhtop.addChild(wwh695434);

wwh695434.addChild(new Item("About Adapter Configuration", "config2a.htm#1104796"));
wwh695434.addChild(new Item("Configuration Argument Format", "config3a.htm#1108932"));
var wwh695440=new Folder("Robot-Defined Configuration Options", "config4.htm#1108792");
wwh695434.addChild(wwh695440);

wwh695440.addChild(new Item("Recording Options", "config4.htm#1119510"));
wwh695440.addChild(new Item("Script Generation Options", "config4.htm#1119775"));
wwh695440.addChild(new Item("Miscellaneous (non-GUI) Options", "config4.htm#1119919"));
var wwh695448=new Folder("Adapter-Defined Configuration Options", "config5.htm#1108793");
wwh695434.addChild(wwh695448);

wwh695448.addChild(new Item("Using a Custom UI for Custom Options", "config5.htm#1113818"));

